List call sessions for tenant history
GET
/v1/calls/sessionsAuthorization
bearerAuthbearerAuthrequiredor
apiKeyAuthapiKeyAuthrequiredQuery parameters
limitinteger<int64>min 1 · max 100 · default: 25
offsetinteger<int64>min 0
channel_idstringdirectionstringAllowed:
USER_INITIATEDBUSINESS_INITIATEDstatusstringResponses
200OK
itemsCallSessionListItem[] | nullrequiredShow propertiesHide properties
Array of
CallSessionListItemcall_idstringrequiredchannel_idstringrequiredconversation_idstringcreated_atstringrequireddirectionstringrequiredduration_secondsinteger<int64>requiredended_atstringfrom_numberstringidstringstarted_atstringstatusstringrequiredto_numberstringtotalinteger<int64>required400Bad Request
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring401Unauthorized
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring403Forbidden
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring422Unprocessable Entity
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring500Internal Server Error
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstringRequest
curl -X GET "/v1/calls/sessions"const response = await fetch("/v1/calls/sessions", {
method: "GET"
});import requests
response = requests.get(
"/v1/calls/sessions",
)Response
{
"items": [
{
"call_id": "string",
"channel_id": "string",
"conversation_id": "string",
"created_at": "string",
"direction": "string",
"duration_seconds": 0,
"ended_at": "string",
"from_number": "string",
"id": "string",
"started_at": "string",
"status": "string",
"to_number": "string"
}
],
"total": 0
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}